Skip to main content
POST
Create custom dimension value

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.

Example:

"11adfe2a080040e3892ffb89c21ec44e"

definitionId
string
required

String. The ID of the custom dimension definition to add a value to, as returned in the id field of the GET definition response.

Example:

"abc123def456abc123def456abc123de"

Body

application/json
id
string
required

Caller-supplied identifier for this value. Must be unique within the dimension definition.

Maximum string length: 255
value
string
required

Display text of the dimension value. Must be non-empty and not whitespace-only.

Maximum string length: 255
sortOrder
integer | null

Sort position of the value within the list.

startDate
string<date-time> | null

Date from which this value is active. ISO 8601 format.

endDate
string<date-time> | null

Date until which this value is active. ISO 8601 format.

Response

Created — returns the newly created custom dimension value

id
string
required

Unique identifier of the dimension value.

value
string
required

Display text of the dimension value.

sortOrder
integer | null

Sort position of the value within the list. Null when not set.

startDate
string<date-time> | null

Date from which this value is active. Null when not set.

endDate
string<date-time> | null

Date until which this value is active. Null when not set.